# Genesis G2Plot Chart

This package contains the g2plot-chart component which wraps antv/g2plot charts. It also includes a chart-datasource component that will fetch data from a Genesis server (or any other server that implements the Genesis protocol).


## Installation

To enable this module in your application, follow the steps below.

1. Add `@genesislcap/g2plot-chart` as a dependency in your `package.json` file. Whenever you change the dependencies of your project, ensure you run the `$ npm run bootstrap` command again. You can find more information in the [package.json basics](https://learn.genesis.global/secure/web/basics/package-json-basics/) page.

```json
{
  ...
  "dependencies": {
    ...
    "@genesislcap/g2plot-chart": "latest"
    ...
  },
  ...
}
```

## [API Docs](./docs/api/index.md)

## License

Note: this project provides front-end dependencies and uses licensed components listed in the next section; thus, licenses for those components are required during development. Contact [Genesis Global](https://genesis.global/contact-us/) for more details.

### Licensed components
Genesis low-code platform