import type { Container } from '@microsoft/fast-foundation';
/**
 * All the `g2plot-chart` components
 * @public
 */
export declare const g2plotChartsComponents: {
    g2plotChart: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
        baseName: string;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<any, any>;
        shadowOptions: ShadowRootInit;
    }>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<any, any>;
        shadowOptions: ShadowRootInit;
    }, typeof import("./chart").G2PlotChart>;
    register(container?: Container, ...rest: any[]): void;
};
//# sourceMappingURL=chart-components.d.ts.map