import { g2plotChart } from './chart';
/**
 * All the `g2plot-chart` components
 * @public
 */
export const g2plotChartsComponents = {
    g2plotChart,
    register(container, ...rest) {
        if (!container) {
            // preserve backward compatibility with code that loops through
            // the values of this object and calls them as funcs with no args
            return;
        }
        for (const key in this) {
            if (key === 'register') {
                continue;
            }
            this[key]().register(container, ...rest);
        }
    },
};
